ZipArchive::renameIndex
ZipArchive::setArchiveComment
Zip Functions
PHP Manual

# ZipArchive::renameName

(No version information available, might be only in CVS)

ZipArchive::renameName — Renames an entry defined by its name

### Description

bool ZipArchive::renameName ( string `$name` , string `$newname` )

Renames an entry defined by its name.

### Parameters

`name`

  Name of the entry to rename.

`newname`

  New name.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Rename one entry

`<?php
$zip = new ZipArchive;
$res = $zip->open('test.zip');
if ($res === TRUE) {
$zip->renameName('currentname.txt','newname.txt');
$zip->close();
} else {
echo 'failed, code:' . $res;
}
?>`

ZipArchive::renameIndex
ZipArchive::setArchiveComment
Zip Functions
PHP Manual